For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
          • Tax Classes
              • GETList Tax Rates
              • POSTCreate Tax Rates
              • PUTUpdate Tax Rates
              • DELDelete Tax Rates
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementTaxTax Rates

Create Tax Rates

POST
https://api.bigcommerce.com/stores/:store_hash/v3/tax/rates
POST
/stores/:store_hash/v3/tax/rates
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/tax/rates \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "class_rates": [
> {
> "rate": 7,
> "tax_class_id": 1
> }
> ],
> "name": "California State Tax",
> "tax_zone_id": 5,
> "enabled": true,
> "priority": 1
> }
>]'
200Example 1
1{
2 "data": [
3 {
4 "class_rates": [
5 {
6 "rate": 7,
7 "tax_class_id": 1
8 }
9 ],
10 "enabled": true,
11 "id": 12,
12 "name": "California State Tax",
13 "priority": 1,
14 "tax_zone_id": 5
15 }
16 ],
17 "meta": {}
18}

Create one or more tax rates. Tax rates must be associated with a tax_zone_id.

Was this page helpful?
Previous

List Tax Rates

Next

Update Tax Rates

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects a list of objects.
class_rateslist of objectsRequired
Tax rates for tax classes. You must assign at least one tax rate for each tax class defined on a store.
namestringRequired

The human-readable name for this tax zone. The name appears in the store control panel and may be visible to shoppers, depending on store tax settings.

tax_zone_idintegerRequired
ID of an associated tax zone. You must associate a tax rate with a tax zone.
enabledbooleanOptionalDefaults to true
Indicates whether a tax rate is enabled. Tax operations are only for enabled zones.
priorityintegerOptionalDefaults to 1
Allows for compounding tax rates, common in certain jurisdictions.

Response

OK
datalist of objects
metaobject
Response metadata.

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.